#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Python style guide checker
Summary(pl.UTF-8):	Sprawdzanie zgodności z poradnikiem stylu kodowania w Pythonie
Name:		python3-pycodestyle
Version:	2.13.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pycodestyle/
Source0:	https://files.pythonhosted.org/packages/source/p/pycodestyle/pycodestyle-%{version}.tar.gz
# Source0-md5:	4e0e9d54c06f24a457a552e8e038f9d2
URL:		https://pycodestyle.readthedocs.io/
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python3-modules >= 1:3.8
# default binary moved
Conflicts:	python-pycodestyle < 2.5.0-4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pycodestyle is a tool to check your Python code against some of the
style conventions in PEP 8. This module was formerly called pep8.

%description -l pl.UTF-8
pycodestyle to narzędzie do sprawdzania kodu w Pythonie względem
niektórych konwencji stylistycznych opisanych w PEP 8. Ten moduł
wcześniej nazywał się pep8.

%prep
%setup -q -n pycodestyle-%{version}

%build
%py3_build

%if %{with tests}
# use explicit plugins list for reliable builds (delete PYTEST_PLUGINS if empty)
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTEST_PLUGINS= \
%{__python3} -m pytest -o pythonpath="$PWD/build-3" tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/pycodestyle{,-3}
ln -sf pycodestyle-3 $RPM_BUILD_ROOT%{_bindir}/pycodestyle

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%attr(755,root,root) %{_bindir}/pycodestyle
%attr(755,root,root) %{_bindir}/pycodestyle-3
%{py3_sitescriptdir}/pycodestyle.py
%{py3_sitescriptdir}/__pycache__/pycodestyle.cpython-*.py[co]
%{py3_sitescriptdir}/pycodestyle-%{version}-py*.egg-info
%changelog
* Mon Apr 07 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pycodestyle.git;a=log;h=master

* Mon Apr 07 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 368b2ad
- Up to 2.13.0

* Fri Mar 28 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> e6bbc4b
- Up to 2.12.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 44a8170
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> aa67d8d
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> ed3a6d6
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 20e5e21
- rebuild with python 3.10

* Tue Mar 15 2022 Jakub Bogusz <qboosh@pld-linux.org> 89b9060
- updated to 2.7.0

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 6b65bc8
- release 5 (by relup.sh)

* Sat Jan 11 2020 Jakub Bogusz <qboosh@pld-linux.org> af9231e
- don't use deprecated setuptools test command
- moved default binary to python3
- release 4

* Thu Dec 12 2019 Marcin Krol <hawk@tld-linux.org> b7ae9a6
- release 3

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4d97be1
- rebuild with python 3.8
- release 2 (by relup.sh)

* Tue Oct 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 7fd6ab6
- updated to 2.5.0

* Tue Oct 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 4865d89
- Revert "Revert "- updated to 2.4.0""

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 7974728
- added py3.7 patch (fixes tests with python3.7; note: changes output for async keyword)

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> e347e53
- note on 2.4.0 vs flake8

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 9b2fd2c
- Revert "- updated to 2.4.0"

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> 15f5bdc
- updated to 2.4.0

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f69f641
- release 2 (by relup.sh)

* Sat Apr 08 2017 Jakub Bogusz <qboosh@pld-linux.org> ba95afa
- new

